namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 课件(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_CourseWareController : BaseController<IGhre_CourseWareServices, Ghre_CourseWare, Ghre_CourseWareDto, InsertGhre_CourseWareInput, EditGhre_CourseWareInput>
{
    public Ghre_CourseWareController(IGhre_CourseWareServices service) : base(service)
    {
    }
}